
s_start   = '1/31/2003';
s_end     = '12/1/2011';

date_find = datenum([s_start; s_end],'mm/dd/yyyy');
ss        = datefind(date_find(1,1),date);
se        = datefind(date_find(2,1),date);

%-----------  Historical Excess Returns Matrix ----------------------------

R = [GER.Stock.Ret(ss:se) UK.Stock.Ret(ss:se) US.Stock.Ret(ss:se)];

muR    = mean(R)';
SigmaR = cov(R);

% Optimal weights on the tangency portfolio

wMP = ((SigmaR^(-1))*muR)./(ones(size(R,2),1)'*(SigmaR^(-1)*muR));


grayColor = [1 1 1]*0.7;

bar(wMP,'facecolor',grayColor)
title('Tangency Portfolio by Using Historical Information','fontsize',14);
ylabel('Weights','fontsize',14);
set(gca,'xticklabel','GER Stocks|UK Stocks|US Stocks','fontsize',14);
